
From: William Lee Irwin III <wli@holomorphy.com>

Kconfig is spitting out massive numbers of errors and so on.  This patch
switches arch/sparc/Kconfig to use drivers/Kconfig so those stop.

Signed-off-by: William Irwin <wli@holomorphy.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/sparc/Kconfig |   16 +++++-----------
 1 files changed, 5 insertions(+), 11 deletions(-)

diff -puN arch/sparc/Kconfig~use-drivers-kconfig-for-sparc32 arch/sparc/Kconfig
--- 25/arch/sparc/Kconfig~use-drivers-kconfig-for-sparc32	2005-06-18 02:49:11.000000000 -0700
+++ 25-akpm/arch/sparc/Kconfig	2005-06-18 02:49:11.000000000 -0700
@@ -264,7 +264,11 @@ config SUNOS_EMUL
 	  want to run SunOS binaries on an Ultra you must also say Y to
 	  "Kernel support for 32-bit a.out binaries" above.
 
-source "drivers/parport/Kconfig"
+source "mm/Kconfig"
+
+endmenu
+
+source "drivers/Kconfig"
 
 config PRINTER
 	tristate "Parallel printer support"
@@ -374,18 +378,8 @@ config UNIX98_PTY_COUNT
 
 endmenu
 
-source "drivers/input/Kconfig"
-
 source "fs/Kconfig"
 
-source "sound/Kconfig"
-
-source "drivers/usb/Kconfig"
-
-source "drivers/infiniband/Kconfig"
-
-source "drivers/char/watchdog/Kconfig"
-
 source "arch/sparc/Kconfig.debug"
 
 source "security/Kconfig"
_
